#### D.15.31.12 FeynmanIntegralA

Procedure from library `tropicalEllipticCovers.lib` (see tropicalEllipticCovers_lib).

Usage:
  FeynmanIntegralA(G,O,d,l,k,t[,gg]); G graph, O list, d int, l list, k int, t int, gg list

Assume:
  G is a graph (a Feynman graph or a pearl chain) of the degree d, O is an ordering of vertices of G, d is the degree of G, l is a list representing the leaky edges of G, k is any integer, gg is a list representing the genus function and t is one of 0,1,2 or 3.

Return:
  number or list Q_t (depending on k) of Feynman integral for a fixed ordering of vertices of G, the results are as follows:
  Q_0: sum of Feynman integrals (over all partitions of d) for a fixed ordering of a Feynman graph G as in [BBM], i.e. a graph without any self-looping edges, leaks or vertex contributions.
  Q_1: sum of Feynman integrals (over all partitions of d) for a fixed ordering of a Feynman graph G without vertex contributions as in [BGM1], i.e. A graph that may have self-looping edges and leaks.
  Q_2: sum of Feynman integrals (over all partitions of d) for a fixed ordering of a Feynman graph G with vertex contributions as in [BGM1] possibly with self-looping edges and leaks.
  Q_3: sum of Feynman integrals (over all partitions of d) for a fixed ordering of a pearl chain G as in [BGM2], i.e. graph G may have leaks.

Theory:
  If k is zero it returns the coefficient which is a sum of Feynman integrals over all partitions of d. Otherwise, returns a list showing the partition from which the Feynman integral is computed, the respective coefficient of the Feynman integral for the given ordering and the sum over all partitions.

Example:

    LIB "tropicalEllipticCovers.lib";
    ring r1=0, (x1,x2,x3,x4),dp;
    graph G = makeGraph(list(1,2,3,4),list(list(1,3),list(1,2),list(1,2),list(2,4),list(3,4),list(3,4)));
    FeynmanIntegralA(G,list(x1,x3,x4,x2),4,list(0,0,0,0,0,0),0,0);

User manual for Singular version 4.4.1, 2025, generated by texi2html.